package com.ruoyi.cai.mq.handle.dto;

import com.ruoyi.cai.domain.Gift;
import com.ruoyi.cai.mq.dto.CommonConsumerEnum;
import com.ruoyi.cai.mq.dto.CommonDTO;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class WindowGiftDTO extends CommonDTO  {
    private Long fromId;
    private Long toId;
    private Gift gift;
    private Long giftNum;
    private LocalDateTime time;

    public WindowGiftDTO() {
        this.setType(CommonConsumerEnum.WINDOW_GIFT);
        this.time = LocalDateTime.now();
    }
}
